backend:
  name: git-gateway
  branch: main # Branch to update (optional; defaults to master)

media_folder: "src/images/uploads" # Location where files will be stored in the repo
public_folder: "/src/images/uploads" # The src attribute for uploaded media

collections:
  - name: "blog" # Used in routes, e.g., /admin/collections/blog
    label: "Blog" # Used in the UI
    folder: "src/content/blog" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "Layout", name: "layout", widget: "hidden", default: "blog" }
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Publish Date", name: "date", widget: "datetime" }
      - { label: "Featured Image", name: "thumbnail", widget: "image" }
      - { label: "Rating (scale of 1-5)", name: "rating", widget: "number" }
      - { label: "Body", name: "body", widget: "markdown" }
  - name: "gallery"
    label: "Image de la gallerie"
    folder: "src/content/gallery"
    create: true
    fields:
     - { label: "Titre", name: "title", widget: "string" }
     - { label: "Image", name: "image", widget: "image" }
     - { label: "Description", name: "description", widget: "string" }
